Skip to main content
POST
/
v1
/
admin
/
charters
/
voyages
Create charter voyage
curl --request POST \
  --url https://{operatorDomain}/v1/admin/charters/voyages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "chvy_01h...",
  "productKey": "<string>",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25"
}
'
{
  "key": "chvy_01h...",
  "productKey": "<string>",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
key
string
Example:

"chvy_01h..."

productKey
string
startDate
string<date>
endDate
string<date> | null

Response

201 - application/json

Created voyage

key
string
Example:

"chvy_01h..."

productKey
string
startDate
string<date>
endDate
string<date> | null